Bug 133062 - libdb_cxx-4.0.so vanished from compat-db
libdb_cxx-4.0.so vanished from compat-db
Product: Fedora
Classification: Fedora
Component: compat-db (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-09-21 09:26 EDT by Doncho N. Gunchev
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 15:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2004-09-21 09:26:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
    With compat-db-4.1.25-2.1 I had libdb_cxx-4.0.so and some
programs, for example xca (xca.sf.net), were working. The new version
(4.1.25-5) does not ship this file and some apps can not work/install.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC3-t1, ls -al '/usr/lib/libdb_cxx-4.0.so'
2. update to compat-db-4.1.25-5
3. ls -al '/usr/lib/libdb_cxx-4.0.so'

Actual Results:  nothing there

Expected Results:  libdb_cxx-4.0 present

Additional info:

The changelog says that 3.1 and 3.2 are removed, but nothing about
4.0. I hope it stays for now...
Comment 1 Bill Nottingham 2004-09-22 15:38:36 EDT
* Mon Sep 13 2004 Bill Nottingham <notting@redhat.com>
- return of db1 to compat-db
- remove: db-3.1, db-3.2
- remove: c++, tcl sublibraries

See the last part of the changelog. It's intentional; it allows the
package to actually build with the current sets of compilers.
Comment 2 Doncho N. Gunchev 2004-10-15 09:18:12 EDT
    Yes, I agree. XCA's configure script was looking only for
libdb_cxx-4.0.so (and older). I tweaked it a bit and it works fine
now. Thanks.
Comment 3 Daniel L. Rall 2005-02-14 17:57:21 EST
Loosely related to bug 148028.
Comment 4 Dan Williams 2005-02-16 23:00:15 EST
Um, Bill, OOo kind of needs that compat C++ library to build and
run...  now either we rebuild OOo (which we can do in an update soon),
or we add the compat-db C++ library back in.  There has to be a way to
better deal with this kind of thing before we end up breaking stuff
out of the blue.
Comment 5 Bill Nottingham 2005-02-18 16:39:32 EST
In what context does it need the *compat* libdb to build?
Comment 6 Bill Nottingham 2005-02-18 16:40:56 EST
Note that the libdb_cxx mentioned here is for db-4.0, i.e., the system
DB library for RHL9. It's not the one from any current db release; it
was removed because it *would not build* on FC3; basically, at the
point it was removed, you couldn't build against it anyway.

Note You need to log in before you can comment on or make changes to this bug.